#ifndef SettingsWidget_H
#define SettingsWidget_H

#include <QWidget>
#include <QTimer>
#include <QSettings>
#include <QPropertyAnimation>
#include <QPushButton>

namespace Ui {
class SettingsWidget;
}

class PatchDownloader;
class LotroDatManager;

class SettingsWidget : public QWidget
{
    Q_OBJECT

public:
    explicit SettingsWidget(QSettings* settings, PatchDownloader* patch_downloader, LotroDatManager* lotro_dat_manager, QWidget *parent = 0);

    ~SettingsWidget();


private slots:

    void on_interface_scale_combobox_common_currentIndexChanged(const QString &arg1);

    void on_change_folder_button_clicked();

    void on_lotro_language_combobox_currentIndexChanged(int index);

private:
    QSettings* app_settings;
    PatchDownloader* patch_updater;
    LotroDatManager* lotro_manager;

    Ui::SettingsWidget *ui;
};

#endif // SettingsWidget_H
